

#define F_CPU 3333333UL
#define BAUD_9600 ((4UL*F_CPU)/9600)

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "adc.h"
#include "uart.h"

/* In this exercice you will be writing an ADC driver. 
	You will use this to read the light sensor on the OI1 Xplained board. 
	Connect the board to the EXT1 Header of the ATtiny817

	We send the result of the measurement to the computer using UART.
	A complete and working UART driver has been provided with the exercise

	It has been setup so that you can use printf to print nicely formated text and variable values to the terminal

	NOTE:
	There is a jumper on the IO board that connects the RX and TX lines. Why could this be a problem?
	What might happen if we leave it connected?
*/

int main(void)
{
		
	//Initialize everything we need here
	
	sei(); //If we want to receive via UART we need interrupts enabled.
	//NOTE: UART isn't used to receive here and as such this isn't required.
	
	while (1)
	{
		
		//We want to find how bright the room is and print it to the terminal using printf

		/*
			About printf: Handles formatting of your print to terminal. This includes special characters, values of variables and more.
			It takes one string and any variables you want to print.
			Some handy special characters: \n = newline (enter), \t = tab
			% marks a variable to be inserted in the string. %d = decimal, %x = hexadecimal, %f = floating point number (There are many more)
			Variables to be inserted have to be provided comma separated after the string in order of appearance in string.
		*/
		
		
	}
}
